import type { EducationSection } from '@/types/sections/education-section.types';
import type { ReadonlyDeep } from 'type-fest';
import { website } from '../helpers/links';

const educationSectionData = {
  config: {
    title: 'Education',
    slug: 'education',
    icon: 'fa6-solid:graduation-cap',
    visible: true,
  },
  diplomas: [
    {
      title: 'Master of Science (M.S.) in Engineering, Concentration in Aerospace Engineering',
      institution: 'Virginia Commonwealth University',
      image: import('@/assets/logos/vcu.png'),
      dates: [new Date('2024-02'), null],
      description: '2024-',
      links: [website({ url: 'https://egr.vcu.edu' })],
    },
    {
      title: 'Bachelor of Science (B.S.) in Computer Science 🎓',
      institution: 'San Francisco State University',
      image: import('@/assets/logos/sfsu.png'),
      dates: [new Date('2018-02'), new Date('2020-02')],
      description: `Graduated: 2020
    Activities: Alpha Phi Omega (ΑΦΩ)`,
      links: [website({ url: 'https://cs.sfsu.edu' })],
    },
    /*
    {
      title: 'Information Technology',
      institution: 'Wrocław University of Science and Technology',
      image: import('@/assets/logos/wroclaw-university-of-technology.jpg'),
      dates: [new Date('2011.10'), new Date('2014.07')],
      description: "Bachelor's degree. Specialization in application development.",
      links: [website({ url: '#' })],
    },*/
  ],
} as const satisfies ReadonlyDeep<EducationSection>;

export default educationSectionData;
